src/articles/urls.py
from django.urls import path
from . import views
from .views import PostListView, PostDetailView, PostCreateView, PostUpdateView, PostDeleteView, UserPostListView

app_name = 'articles'   #use in href 'app_name:path_name' in template
urlpatterns = [
	#path('', views.home, name='article-home'),
	path('', PostListView.as_view(), name='article-home'),
	path('post/<int:pk>/', PostDetailView.as_view(), name='post-detail'),
	path('post/new/', PostCreateView.as_view(), name='post-create'),
	path('post/<int:pk>/update/', PostUpdateView.as_view(), name='post-update'),
	path('post/<int:pk>/delete/', PostDeleteView.as_view(), name='post-delete'),
	path('about/', views.about, name='article-about'),
	path('user/<str:username>/', UserPostListView.as_view(), name='user-posts'),
]

src/myportal/urls.py
from django.contrib import admin
from django.urls import path, include
from accounts import views as account_views
from django.contrib.auth import views as auth_views

from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('article/', include('articles.urls'), ),
    path('register/', account_views.register, name='register'),
    path('login/', auth_views.LoginView.as_view(template_name='account/login.html'), name='login'),
    path('logout/', auth_views.LogoutView.as_view(template_name='account/logout.html'), name='logout'),
    path('profile/', account_views.profile, name='profile'),
    path('password-reset/', auth_views.PasswordResetView.as_view(template_name='account/password_reset.html'), name='password-reset'),
    path('password-reset/done/', auth_views.PasswordResetDoneView.as_view(template_name='account/password_reset_done.html'), name='password-reset-done'),
    #default path name
    path('password-reset-confirm/<uidb64>/<token>/', auth_views.PasswordResetConfirmView.as_view(template_name='account/password_reset_confirm.html'), name='password_reset_confirm'),
    path('password-reset-complete/', auth_views.PasswordResetCompleteView.as_view(template_name='account/password_reset_complete.html'), name='password_reset_complete'),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

if settings.DEBUG:
	urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

src/templates/base_layout.html
{% load static %}

<!DOCTYPE html>
<html>
<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

	<link rel="stylesheet" type="text/css" href="{% static 'article/main.css' %}">

	<link rel="icon" href="{% static 'icon_tab.png' %}">

	{%if title %}
		<title>Demo Portal - {{ title }}</title>
	{% else %}
		<title>My Demo Protal</title>
	{% endif %}
</head>
<body>
	<!-- navigation bar  -->
	<header class="site-header">
	  <nav class="navbar navbar-expand-md navbar-dark bg-steel fixed-top">
		<div class="container">
		  <a class="navbar-brand mr-4" href="{% url 'articles:article-home' %}">Blog Portal</a>
		  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggle" aria-controls="navbarToggle" aria-expanded="false" aria-label="Toggle navigation">
		  <span class="navbar-toggler-icon"></span>
		  </button>
		  <div class="collapse navbar-collapse" id="navbarToggle">
			<div class="navbar-nav mr-auto">
			  <a class="nav-item nav-link" href="{% url 'articles:article-home' %}">Home</a>
			  <a class="nav-item nav-link" href="{% url 'articles:article-about' %}">About</a>
			</div>
			<!-- Navbar Right Side (href="#" for deadlink)-->
			<div class="navbar-nav">
			  {% if user.is_authenticated %}
			  	  <a class="nav-item nav-link" href="{% url 'articles:post-create' %}"}>New Post</a>
			  	  <a class="nav-item nav-link" href="{% url 'profile' %}">Profile</a>
			  	  <a class="nav-item nav-link" href="{% url 'logout' %}">Logout</a>
			  {% else %}
				  <a class="nav-item nav-link" href="{% url 'login' %}">Login</a>
				  <a class="nav-item nav-link" href="{% url 'register' %}">Register</a>
			  {% endif %}
			</div>
		  </div>
		</div>
	  </nav>
	</header>

	<!-- main container -->
	<main role="main" class="container">
	  <div class="row">
	    <div class="col-md-8">
	      {% if messages %}
	      	{% for message in messages %}
	      		<div class="alert alert - {{ messages.tags }}">
	      			{{ message }}
	      		</div>
	      	{% endfor %}
	      {% endif %}
	      {% block content %}
		  <!-- child templates can override a block section -->
		  {% endblock %}
	    </div>
	    <div class="col-md-4">
	      <div class="content-section">
	        <h3>Our Sidebar</h3>
	        <p class='text-muted'>You can put any information here you'd like.
	          <ul class="list-group">
	            <li class="list-group-item list-group-item-light">Latest Posts</li>
	            <li class="list-group-item list-group-item-light">Announcements</li>
	            <li class="list-group-item list-group-item-light">Calendars</li>
	            <li class="list-group-item list-group-item-light">etc</li>
	          </ul>
	        </p>
	      </div>
	    </div>
	  </div>
	</main>

	<!-- Optional JavaScript -->
	<!-- jQuery first, then Popper.js, then Bootstrap JS -->
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>
</html>